com.genesyslab.wfm8.API.service.schedule850

## Class SchBiddingParams

- java.lang.Object
- - com.genesyslab.wfm8.API.service.schedule850.SchBiddingParams

- All Implemented Interfaces:
    java.io.Serializable

      public class SchBiddingParams
      extends java.lang.Object
      implements java.io.Serializable

  Schedule Bidding Parameters
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<java.lang.Integer>` | `biddingAgents` An array of bidding agent IDs.
    `protected int` | `biddingAgentsNSizeIs` Number of elements in the 'biddingAgents' array.
    `private static long` | `serialVersionUID`
    `protected double` | `wmBidEndDateTime` Bidding window end date/time.
    `protected double` | `wmBidStartDateTime` Bidding window start date/time.
    `protected int` | `wmRankingSystem` Ranking System used.
    `protected int` | `wmSiteId` Site ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchBiddingParams()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<java.lang.Integer>` | `getBiddingAgents()` Gets the value of the biddingAgents property.
    `int` | `getBiddingAgentsNSizeIs()` Gets the value of the biddingAgentsNSizeIs property.
    `double` | `getWmBidEndDateTime()` Gets the value of the wmBidEndDateTime property.
    `double` | `getWmBidStartDateTime()` Gets the value of the wmBidStartDateTime property.
    `int` | `getWmRankingSystem()` Gets the value of the wmRankingSystem property.
    `int` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `int` | `hashCode()`
    `void` | `setBiddingAgents(java.util.List<java.lang.Integer> biddingAgents)` Sets the value of the biddingAgents property.
    `void` | `setBiddingAgentsNSizeIs(int value)` Sets the value of the biddingAgentsNSizeIs property.
    `void` | `setWmBidEndDateTime(double value)` Sets the value of the wmBidEndDateTime property.
    `void` | `setWmBidStartDateTime(double value)` Sets the value of the wmBidStartDateTime property.
    `void` | `setWmRankingSystem(int value)` Sets the value of the wmRankingSystem property.
    `void` | `setWmSiteId(int value)` Sets the value of the wmSiteId property.
    `java.lang.String` | `toString()`
    `SchBiddingParams` | `withBiddingAgents(java.util.Collection<java.lang.Integer> values)`
    `SchBiddingParams` | `withBiddingAgents(java.lang.Integer... values)`
    `SchBiddingParams` | `withBiddingAgentsNSizeIs(int value)`
    `SchBiddingParams` | `withWmBidEndDateTime(double value)`
    `SchBiddingParams` | `withWmBidStartDateTime(double value)`
    `SchBiddingParams` | `withWmRankingSystem(int value)`
    `SchBiddingParams` | `withWmSiteId(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmSiteId

          protected int wmSiteId

      Site ID

    - #### wmBidStartDateTime

          protected double wmBidStartDateTime

      Bidding window start date/time. `OleDateTime`

    - #### wmBidEndDateTime

          protected double wmBidEndDateTime

      Bidding window end date/time. `OleDateTime`

    - #### biddingAgentsNSizeIs

          protected int biddingAgentsNSizeIs

      Number of elements in the 'biddingAgents' array.

    - #### biddingAgents

          protected java.util.List<java.lang.Integer> biddingAgents

      An array of bidding agent IDs.

    - #### wmRankingSystem

          protected int wmRankingSystem

      Ranking System used. `ESchRankingSystem`

  - ### Constructor Detail

    - #### SchBiddingParams

          public SchBiddingParams()

  - ### Method Detail

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the value of the wmSiteId property.

    - #### setWmSiteId

          public void setWmSiteId(int value)

      Sets the value of the wmSiteId property.

    - #### getWmBidStartDateTime

          public double getWmBidStartDateTime()

      Gets the value of the wmBidStartDateTime property.

    - #### setWmBidStartDateTime

          public void setWmBidStartDateTime(double value)

      Sets the value of the wmBidStartDateTime property.

    - #### getWmBidEndDateTime

          public double getWmBidEndDateTime()

      Gets the value of the wmBidEndDateTime property.

    - #### setWmBidEndDateTime

          public void setWmBidEndDateTime(double value)

      Sets the value of the wmBidEndDateTime property.

    - #### getBiddingAgentsNSizeIs

          public int getBiddingAgentsNSizeIs()

      Gets the value of the biddingAgentsNSizeIs property.

    - #### setBiddingAgentsNSizeIs

          public void setBiddingAgentsNSizeIs(int value)

      Sets the value of the biddingAgentsNSizeIs property.

    - #### getBiddingAgents

          public java.util.List<java.lang.Integer> getBiddingAgents()

      Gets the value of the biddingAgents property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the biddingAgents property.

      For example, to add a new item, do as follows:

              getBiddingAgents().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmRankingSystem

          public int getWmRankingSystem()

      Gets the value of the wmRankingSystem property.

    - #### setWmRankingSystem

          public void setWmRankingSystem(int value)

      Sets the value of the wmRankingSystem property.

    - #### withWmSiteId

          public SchBiddingParams withWmSiteId(int value)

    - #### withWmBidStartDateTime

          public SchBiddingParams withWmBidStartDateTime(double value)

    - #### withWmBidEndDateTime

          public SchBiddingParams withWmBidEndDateTime(double value)

    - #### withBiddingAgentsNSizeIs

          public SchBiddingParams withBiddingAgentsNSizeIs(int value)

    - #### withBiddingAgents

          public SchBiddingParams withBiddingAgents(java.lang.Integer... values)

    - #### withBiddingAgents

          public SchBiddingParams withBiddingAgents(java.util.Collection<java.lang.Integer> values)

    - #### withWmRankingSystem

          public SchBiddingParams withWmRankingSystem(int value)

    - #### setBiddingAgents

          public void setBiddingAgents(java.util.List<java.lang.Integer> biddingAgents)

      Sets the value of the biddingAgents property.
      Parameters:
        `biddingAgents` - allowed object is `Integer`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.